Subject: Re: [PATCH net-next v2] docs: net: dsa: describe issues with checksum offload

From: Kurt Kanzenbach <[email-masked]>
Date: Thu, 14 Apr 2022 08:29:12 +0200

On Wed Apr 13 2022, Vladimir Oltean wrote:
> I've copied a bunch of new people to this email.
>
> TL;DR: Kurt/George/Andrew, on your systems with hellcreek/xrs700x/mv88e6060,
> does the DSA master declare any of the following features as "on"?
>
> ethtool -k eth0 | grep tx-checksum-ip

It's a Cyclone V with stmmac as master:

|root@tsn:~# ethtool -k eth0 | grep tx-checksum-ip
|        tx-checksum-ipv4: on
|        tx-checksum-ip-generic: off [fixed]
|        tx-checksum-ipv6: on

>
> I would expect not. Otherwise, we've either found a bug, or discovered
> the Sasquatch.

Now, I'm wondering how this actually works. Anyway, I'll send a patch to
add the missing skb_checksum_help().

Thanks,
Kurt